Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::AlphaFunc Class Reference

Encapsulates OpenGL glAlphaFunc. More...

Inheritance diagram for osg::AlphaFunc:

[legend]
List of all members.

## Public Types
enum | ComparisonFunction { NEVER = GL_NEVER, LESS = GL_LESS, EQUAL = GL_EQUAL, LEQUAL = GL_LEQUAL, GREATER = GL_GREATER, NOTEQUAL = GL_NOTEQUAL, GEQUAL = GL_GEQUAL, ALWAYS = GL_ALWAYS }
## Public Member Functions
| AlphaFunc ()
| AlphaFunc (ComparisonFunction func, float ref)
| AlphaFunc (const AlphaFunc &af, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, AlphaFunc, ALPHAFUNC)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setFunction (ComparisonFunction func, float ref)
void | setFunction (ComparisonFunction func)
ComparisonFunction | getFunction () const
void | setReferenceValue (float value)
float | getReferenceValue () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~AlphaFunc ()
## Protected Attributes
ComparisonFunction | _comparisonFunc
float | _referenceValue

## Detailed Description

Encapsulates OpenGL glAlphaFunc.

## Member Enumeration Documentation

enum osg::AlphaFunc::ComparisonFunction

  | Enumeration values:
  NEVER |
  LESS |
  EQUAL |
  LEQUAL |
  GREATER |
  NOTEQUAL |
  GEQUAL |
  ALWAYS |

## Constructor & Destructor Documentation

osg::AlphaFunc::AlphaFunc | ( |  | ) |

osg::AlphaFunc::AlphaFunc | ( | ComparisonFunction | func,
|  | float | ref
| ) | `[inline]`

osg::AlphaFunc::AlphaFunc | ( | const AlphaFunc & | af,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::AlphaFunc::~AlphaFunc | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::AlphaFunc::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::AlphaFunc::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

ComparisonFunction osg::AlphaFunc::getFunction | ( |  | ) | const`[inline]`

virtual bool osg::AlphaFunc::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

float osg::AlphaFunc::getReferenceValue | ( |  | ) | const`[inline]`

osg::AlphaFunc::META_StateAttribute | ( | osg | ,
|  | AlphaFunc | ,
|  | ALPHAFUNC |
| ) |

void osg::AlphaFunc::setFunction | ( | ComparisonFunction | func | ) | `[inline]`

void osg::AlphaFunc::setFunction | ( | ComparisonFunction | func,
|  | float | ref
| ) | `[inline]`

void osg::AlphaFunc::setReferenceValue | ( | float | value | ) | `[inline]`

## Member Data Documentation

ComparisonFunction osg::AlphaFunc::_comparisonFunc`[protected]`

float osg::AlphaFunc::_referenceValue`[protected]`

The documentation for this class was generated from the following file:

- AlphaFunc